Delete Payment Term
curl --request DELETE \
--url https://qwoty.app/api/payment-terms/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/payment-terms/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/payment-terms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Payment term deleted successfully"
}
Payment Terms
Delete Payment Term
Delete a payment term
DELETE
/
api
/
payment-terms
/
{id}
Delete Payment Term
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenPath Parameters
string
required
UUID of the payment term to delete
You cannot delete a payment term that is currently in use by active quotes or
contracts.
Examples
curl -X DELETE https://qwoty.app/api/payment-terms/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
const paymentTermId = '550e8400-e29b-41d4-a716-446655440000'
const response = await fetch(
`https://qwoty.app/api/payment-terms/${paymentTermId}`,
{
method: 'DELETE',
headers: {
Authorization: 'Bearer qwoty_your_token',
},
},
)
const data = await response.json()
import requests
payment_term_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.delete(
f'https://qwoty.app/api/payment-terms/{payment_term_id}',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates if the deletion was successful
string
Confirmation message
{
"success": true,
"message": "Payment term deleted successfully"
}
Error Responses
{
"success": false,
"error": "Payment term not found"
}
{
"success": false,
"error": "Cannot delete payment term: currently in use by 3 active quotes"
}
{
"success": false,
"error": "Invalid API token"
}
{
"success": false,
"error": "Payment term has already been deleted"
}
Alternative: Deactivate Instead
If you want to stop using a payment term but preserve it for historical records, consider deactivating it instead:curl -X PUT https://qwoty.app/api/payment-terms/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token" \
-H "Content-Type: application/json" \
-d '{
"is_active": false
}'
Deactivating a payment term prevents it from being used in new quotes while
preserving all historical data.
Was this page helpful?
⌘I

